mzlib::sprite_and		equ	mzlib@0000
mzlib::sprite_or		equ	mzlib@0001

;-------------------------------------------------
; stop()
; Function: loop until a key is pressed
; Return: nothing 
;-------------------------------------------------
mzlib::stop			equ	mzlib@0002

;-------------------------------------------------
; check(int x.w)
; Function: program debugger:entering 0-7 writes
;     d0-d7 on screen, entering a-d puts address
;     pointed to by address registers on screen
;     q: x is added to the stack as it was before
;     check is called and rts is performed
; Return: nothing 
;-------------------------------------------------
mzlib::check		equ	mzlib@0003

;-------------------------------------------------
; put_hex(num.l, pnt.w, font.w, y.w, x.w)
; Function: converts num.l to a hexadecimal
;	string and writes it using the font stored
;	in font.w onto the screen at coordinates
;	(x,y). The position of the decimal point
;	for the number is stored in pnt.
; Return: nothing 
;-------------------------------------------------
mzlib::put_hex		equ	mzlib@0004

;-------------------------------------------------
; get_hex(a.l, b.w, c.w, d.w)
; Function: a hexadecimal number can be entered
;     which ends up being stored in d0. a.l
;     contains the original number, b.w the
;     position of the decimal point, and (d,c)
;     the position on the screen where the
;     number is displayed.
; Return: d0: new number 
;-------------------------------------------------
mzlib::get_hex		equ	mzlib@0005
